Package de.gebit.integrity.ui.highlighting

## Class DSLLexerTokenAndCharacterPairAwareStrategy

- java.lang.Object
- - org.eclipse.jface.text.DefaultTextDoubleClickStrategy
  - - org.eclipse.xtext.ui.editor.doubleClicking.AbstractWordAwareDoubleClickStrategy
    - - org.eclipse.xtext.ui.editor.doubleClicking.LexerTokenAndCharacterPairAwareStrategy
      - - de.gebit.integrity.ui.highlighting.DSLLexerTokenAndCharacterPairAwareStrategy

- All Implemented Interfaces:
    `org.eclipse.jface.text.ITextDoubleClickStrategy`

      public class DSLLexerTokenAndCharacterPairAwareStrategy
      extends org.eclipse.xtext.ui.editor.doubleClicking.LexerTokenAndCharacterPairAwareStrategy

  Custom implementation of `ITextDoubleClickStrategy`. This strategy is basically a copy of the parent classes' findWord method and the parents' parent findWord. The latter was copied as-is, because access to it is not possible from a subclass of a subclass. The former was changed in one specific place to exclude documentation comments from the "double-click selects the entire token content" rule that is usually used for non-comment stuff.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLLexerTokenAndCharacterPairAwareStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.jface.text.IRegion` | `findWord​(org.eclipse.jface.text.IDocument aDocument, int anOffset)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.doubleClicking.LexerTokenAndCharacterPairAwareStrategy

      `findExtendedDoubleClickSelection, getCharacterPairMatcher`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.doubleClicking.AbstractWordAwareDoubleClickStrategy

      `createBreakIterator`

    - ### Methods inherited from class org.eclipse.jface.text.DefaultTextDoubleClickStrategy

      `doubleClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLLexerTokenAndCharacterPairAwareStrategy

          public DSLLexerTokenAndCharacterPairAwareStrategy()

  - ### Method Detail

    - #### findWord

          protected org.eclipse.jface.text.IRegion findWord​(org.eclipse.jface.text.IDocument aDocument,
                                                            int anOffset)

      Overrides:
        `findWord` in class `org.eclipse.xtext.ui.editor.doubleClicking.LexerTokenAndCharacterPairAwareStrategy`